## CamelIMAPXStatusResponse

CamelIMAPXStatusResponse — Stores an IMAP STATUS respose

## Functions

CamelIMAPXStatusResponse * | camel_imapx_status_response_new ()
const gchar * | camel_imapx_status_response_get_mailbox_name ()
gboolean | camel_imapx_status_response_get_messages ()
gboolean | camel_imapx_status_response_get_recent ()
gboolean | camel_imapx_status_response_get_unseen ()
gboolean | camel_imapx_status_response_get_uidnext ()
gboolean | camel_imapx_status_response_get_uidvalidity ()
gboolean | camel_imapx_status_response_get_highestmodseq ()

## Types and Values

struct | CamelIMAPXStatusResponse

## Object Hierarchy

        GObject
        ╰── CamelIMAPXStatusResponse

## Includes

    #include <camel/camel.h>

## Description

CamelIMAPXStatusResponse encapsulates an IMAP STATUS response, which describes the current status of a mailbox in terms of various message counts and change tracking indicators.

## Functions

### camel_imapx_status_response_new ()

    CamelIMAPXStatusResponse *
    camel_imapx_status_response_new (CamelIMAPXInputStream *stream,
                                     gchar inbox_separator,
                                     GCancellable *cancellable,
                                     GError **error);

Attempts to parse an IMAP STATUS response from `stream` and, if successful, stores the response data in a new CamelIMAPXStatusResponse. If an error occurs, the function sets `error` and returns `NULL`.

#### Parameters

stream | a CamelIMAPXInputStream |
inbox_separator | the separator character for INBOX |
cancellable | a GCancellable |
error | return location for a GError, or `NULL` |

#### Returns

a CamelIMAPXStatusResponse, or `NULL` on error

Since: 3.10

### camel_imapx_status_response_get_mailbox_name ()

    const gchar *
    camel_imapx_status_response_get_mailbox_name
                                   (CamelIMAPXStatusResponse *response);

Returns the mailbox name for `response` .

#### Parameters

response | a CamelIMAPXStatusResponse |

#### Returns

the mailbox name

Since: 3.10

### camel_imapx_status_response_get_messages ()

    gboolean
    camel_imapx_status_response_get_messages
                                   (CamelIMAPXStatusResponse *response,
                                    guint32 *out_messages);

If `response` includes an updated "MESSAGES" value, write the value to `out_messages` and return `TRUE`. Otherwise leave `out_messages` unset and return `FALSE`.

The "MESSAGES" value refers to the number of messages in the mailbox.

The `out_messages` argument can be `NULL`, in which case the function simply returns whether an updated "MESSAGES" value is present.

#### Parameters

response | a CamelIMAPXStatusResponse |
out_messages | return location for the status value, or `NULL` |

#### Returns

whether `out_messages` was set

Since: 3.10

### camel_imapx_status_response_get_recent ()

    gboolean
    camel_imapx_status_response_get_recent
                                   (CamelIMAPXStatusResponse *response,
                                    guint32 *out_recent);

If `response` includes an updated "RECENT" value, write the value to `out_recent` and return `TRUE`. Otherwise leave `out_recent` unset and return `FALSE`.

The "RECENT" value refers to the number of messages with the \Recent flag set.

The `out_recent` argument can be `NULL`, in which case the function simply returns whether an updated "RECENT" value is present.

#### Parameters

response | a CamelIMAPXStatusResponse |
out_recent | return location for the status value, or `NULL` |

#### Returns

whether `out_recent` was set

Since: 3.10

### camel_imapx_status_response_get_unseen ()

    gboolean
    camel_imapx_status_response_get_unseen
                                   (CamelIMAPXStatusResponse *response,
                                    guint32 *out_unseen);

If `response` includes an updated "UNSEEN" value, write the value to `out_unseen` and return `TRUE`. Otherwise leave `out_unseen` unset and return `FALSE`.

The "UNSEEN" value refers to the number of messages which do not have the \Seen flag set.

The `out_unseen` argument can be `NULL`, in which case the function simply returns whether an updated "UNSEEN" value is present.

#### Parameters

response | a CamelIMAPXStatusResponse |
out_unseen | return location for the status value, or `NULL` |

#### Returns

whether `out_unseen` was set

Since: 3.10

### camel_imapx_status_response_get_uidnext ()

    gboolean
    camel_imapx_status_response_get_uidnext
                                   (CamelIMAPXStatusResponse *response,
                                    guint32 *out_uidnext);

If `response` includes an updated "UIDNEXT" value, write the value to `out_uidnext` and return `TRUE`. Otherwise leave `out_uidnext` unset and return `FALSE`.

The "UIDNEXT" value refers to the next unique identifier value of the mailbox.

The `out_uidnext` argument can be `NULL`, in which case the function simply returns whether an updated "UIDNEXT" value is present.

#### Parameters

response | a CamelIMAPXStatusResponse |
out_uidnext | return location for the status value, or `NULL` |

#### Returns

whether `out_uidnext` was set

Since: 3.10

### camel_imapx_status_response_get_uidvalidity ()

    gboolean
    camel_imapx_status_response_get_uidvalidity
                                   (CamelIMAPXStatusResponse *response,
                                    guint32 *out_uidvalidity);

If `response` includes an updated "UIDVALIDITY" value, write the value to `out_uidvalidity` and return `TRUE`. Otherwise leave `out_uidvalidity` unset and return `FALSE`.

The "UIDVALIDITY" value refers to the unique identifier validity of the mailbox.

The `out_uidvalidity` argument can be `NULL`, in which case the function simply returns whether an updated "UIDVALIDITY" value is present.

#### Parameters

response | a CamelIMAPXStatusResponse |
out_uidvalidity | return location for the status value, or `NULL` |

#### Returns

whether `out_uidvalidity` was set

Since: 3.10

### camel_imapx_status_response_get_highestmodseq ()

    gboolean
    camel_imapx_status_response_get_highestmodseq
                                   (CamelIMAPXStatusResponse *response,
                                    guint64 *out_highestmodseq);

If `response` includes an updated "HIGHESTMODSEQ" value, write the value to `out_highestmodseq` and return `TRUE`. Otherwise leave `out_highestmodseq` unset and return `FALSE`.

The "HIGHESTMODSEQ" value refers to the highest mod-sequence value of all messages in the mailbox, assuming the server supports the persistent storage of mod-sequences.

The `out_highestmodseq` argument can be `NULL`, in which case the function simply returns whether an updated "HIGHESTMODSEQ" value is present.

#### Parameters

response | a CamelIMAPXStatusResponse |
out_highestmodseq | return location for the status value, or `NULL` |

#### Returns

whether `out_highestmodseq` was set

Since: 3.10

## Types and Values

### struct CamelIMAPXStatusResponse

    struct CamelIMAPXStatusResponse;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.10